Groovy Documentation

## org.codehaus.groovy.tools.shell.util
[Groovy] Class ClassNameCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor
              org.codehaus.groovy.tools.shell.util.ClassNameCompletor

    class ClassNameCompletor
    extends SimpleCompletor

Provides completion for class names.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`ClassNameCompletor(GroovyClassLoader classLoader)`

Method Summary
`java.util.SortedSet` | `getCandidates()`

Methods inherited from class SimpleCompletor
add, complete, leftShift

Methods inherited from class jline.SimpleCompletor

jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#wait(), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Constructor Detail

### ClassNameCompletor

    ClassNameCompletor(GroovyClassLoader classLoader)

Method Detail

### getCandidates

    java.util.SortedSet getCandidates()

Groovy Documentation